net.corda.node.services.statemachine

## Interface SendRequest

- All Superinterfaces:
    FlowIORequest, SessionedFlowIORequest
  All Known Implementing Classes:
    SendAndReceive, SendOnly

      public SendRequest
      extends SessionedFlowIORequest

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionMessage` | `getMessage()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionedFlowIORequest

      `getSession`

    - ### Methods inherited from interface net.corda.node.services.statemachine.FlowIORequest

      `getStackTraceInCaseOfProblems`

- - ### Method Detail

    - #### getMessage

          SessionMessage getMessage()